package com.ejie.aa20b.dao;

import java.util.List;

import com.ejie.aa20b.model.Fichatecnicosgmao;
import com.ejie.x38.dto.Pagination;

public interface FichatecnicosgmaoDao {

	Fichatecnicosgmao add(Fichatecnicosgmao fichatecnicosgmao);

	Fichatecnicosgmao update(Fichatecnicosgmao fichatecnicosgmao);

	Fichatecnicosgmao marcarPausaAutoFicha(Fichatecnicosgmao fichatecnicosgmao);

	void actualizarTiempoPausaFicha(Fichatecnicosgmao fichatecnicosgmao);

	Fichatecnicosgmao find(Fichatecnicosgmao fichatecnicosgmao);

	Fichatecnicosgmao findFichaSinTecnico(Fichatecnicosgmao fichatecnicosgmao);

	Fichatecnicosgmao findByGUID(Fichatecnicosgmao fichatecnicosgmao);

	List<Fichatecnicosgmao> findAll(Fichatecnicosgmao fichatecnicosgmao,
			Pagination pagination);

	List<Fichatecnicosgmao> findAllnoAsignadosMovilGmao(
			Fichatecnicosgmao fichatecnicosgmao, Pagination pagination);

	void remove(Fichatecnicosgmao fichatecnicosgmao);

	Fichatecnicosgmao findByIdFicha(Fichatecnicosgmao fichatecnicosgmao);

}